package com.jiuqi.script;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* loaded from: com_jiuqi_script.jar:com/jiuqi/script/ScriptManager.class */
public class ScriptManager {
    private static List factoryList = new ArrayList();
    private static Map factoryMap = new HashMap();

    private ScriptManager() {
    }

    static {
        try {
            Class.forName("com.jiuqi.script.rhino.RhinoScript");
        } catch (ClassNotFoundException unused) {
        }
    }

    public static Script getScript(String name) throws ScriptException {
        ScriptFactory factory = (ScriptFactory) factoryMap.get(name);
        if (factory == null) {
            throw new ScriptException("未注册名为" + name + "的脚本引擎");
        }
        return factory.createScript();
    }

    public static void registerScriptFactory(ScriptFactory scriptFactory) {
        factoryList.add(scriptFactory);
        String[] names = scriptFactory.getNames();
        for (String str : names) {
            factoryMap.put(str, scriptFactory);
        }
    }

    public static ScriptFactory[] getScriptFactories() {
        return (ScriptFactory[]) factoryList.toArray(new ScriptFactory[0]);
    }
}
